### Function

# Rest ProxyCallUploadCallback

#### Declaration

    void
    (* RestProxyCallUploadCallback) (
      RestProxyCall* call,
      gsize total,
      gsize uploaded,
      const GError* error,
      GObject* weak_object,
      gpointer userdata
    )

#### Description

No description available.

#### Parameters

`call`

  Type: `RestProxyCall`

  No description available.

  The data is owned by the caller of the function.

`total`

  Type: `gsize`

  No description available.

`uploaded`

  Type: `gsize`

  No description available.

`error`

  Type: `GError`

  No description available.

  The data is owned by the caller of the function.

`weak_object`

  Type: `GObject`

  No description available.

  The data is owned by the caller of the function.

`userdata`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.